
Redmine - Feature #1232

Referencing and fixing issues in commit messages

2008-05-13 15:19 - Marco Tralles

Status: New Start date: 2008-05-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

The configuration for „Referencing and fixing issues in commit messages” is very useful - but it would be even better if you had a

chance to define more status. i'm thinking about something like:

--- 1 ---

    Fixing keywords: fix,fixes,fixed

    Applied status: done

    % Done: 100% [ ] ...

--- 2 ---

    Fixing keywords: update, updates

    Applied status: Feedback

    % Done:  10% [x] [... if 100% - applied status: done]

--- add new rule ---

 you know? There are two ideas:

1. define more than one Referencing-rule

2. have not only absolute % done (e.g. 80%) but add some percents until you reach 100% (and maybe if you reach 100% the status

will get an other value) …

Related issues:

Related to Redmine - Feature #1518: Log time via commit messages Closed 2008-06-23

Related to Redmine - Patch #7445: Patch for improved repository commit auto-u... Closed 2011-01-25

Related to Redmine - Feature #4321: Referencing issues in commit messages nee... New 2009-12-03

Related to Redmine - Defect #4648: Using repository comments to change issue ... New 2010-01-25

Related to Redmine - Feature #4911: Multiple issue update rules with differen... Closed 2010-02-23

Has duplicate Redmine - Feature #11924: Custom Commit Message Workflow Closed

Has duplicate Redmine - Feature #12158: More possibilities how to close issue... Closed

History

#1 - 2009-02-02 11:22 - Sergej Jegorov

+1

Something like RedmineReceivingEmails

#2 - 2009-02-15 15:26 - Mischa The Evil

Related this issue to #1518 which also contains patches for this...

#3 - 2010-02-25 21:43 - Klaus Reiner

+1

This could be a very nice feature - i would use it instantly :)

I think it's an extended feature request in relation to #1518. In #1518 you would propably just define the time format in your administration panel.

In this case, you would define mappings between commit messages and status updates.

Think about yet another definition:
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails
https://www.redmine.org/issues/1518
https://www.redmine.org/issues/1518
https://www.redmine.org/issues/1518


Fixing keywords:       r2t, ready2test

Action:                Status:           Ready to test

                       Ratio:            90%

                       Applied to:       John Doe _(for example *the* testperson of the current project)_

 In addition to the testperson of the current project, it would make sense to configure this whole mappings on the project section. Some projects would

define the behavior of commit messages different than others (other test persons, other development strategy, ...).

Would be great if the repository section would generally increase a bit :)

#4 - 2011-03-09 00:26 - Adarsh Carter

Patch #7445 seems to implement this; any difference between what is requested here and that patch?

#5 - 2011-03-10 12:55 - Boris Biryuchkov

It would be great to realise the ability to auto assign issue to a specific user when the commit witn the "fixing" keyword is performed (i.e. to the issue

author).

#6 - 2011-12-19 15:38 - Stefan Halter

+1 (looking for re-assigning to issue author or to forward to another user via commit comment)

#7 - 2012-08-30 14:12 - Daniel Widerin

+1

#8 - 2012-09-25 17:14 - Etienne Massip

- Target version set to Candidate for next major release

#9 - 2012-11-14 19:54 - Alatar Al

+1

#10 - 2012-12-11 22:17 - Markus Buchner

+1

#11 - 2013-01-22 07:43 - Alexander Tarasevich

+1 would be useful, though this can't replace

Custom workflow  functionality

#12 - 2013-10-05 12:34 - Jean-Philippe Lang

1. define more than one Referencing-rule

 This is done for 2.4.0 (see #4911).
http://redmine.academ.org/projects/redmine/wiki/Custom_Workflows_plug-in
https://www.redmine.org/issues/4911
http://www.tcpdf.org

